{**
 * 2021 sendingbay
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Apache License 2.0
 * that is bundled with this package in the file LICENSE.
 * It is also available through the world-wide-web at this URL:
 * http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * @author    sendingbay <support@sendingbay.com>
 * @copyright 2021 sendingbay Shipping S.L
 * @license   http://www.apache.org/licenses/LICENSE-2.0.txt  Apache License 2.0
 *}

{* Generate HTML code for printing link to order draft on sendingbay *}
<span class="btn-group-action">
    <span class="btn-group">
        {if $transmitido == 'si'}
            {if $label == 'si'}
                <a class="btn btn-default btn-secondary btnImprimirPdf" 
                data-order="{html_entity_decode($orderId|escape:'html':'UTF-8')}" 
                albaran="{html_entity_decode($albaran|escape:'html':'UTF-8')}">
                    
                    <span>{l s='Imprimir Etiqueta' mod='sendingbay'}&nbsp<i class="icon-print"></i></span>
                </a>       
            {else}
                <a class="btn btn-success disabled">
                    <span>{l s='Transmitido al Fact' mod='sendingbay'}</span>
                </a>
            {/if}        
        {else}
            {if $estado == 'si'}
                <a
                        class="btn btn-default btn-secondary btnTransmitir"
                        remitente = "{html_entity_decode($idRemi|escape:'html':'UTF-8')}"
                        nombre = "{html_entity_decode($nombre|escape:'html':'UTF-8')}"
                        servicio ="{html_entity_decode($servicio|escape:'html':'UTF-8')}"
                        data-order-id="{html_entity_decode($orderId|escape:'html':'UTF-8')}"
                        metodo-pago="{html_entity_decode($payment|escape:'html':'UTF-8')}"
                        peso="{html_entity_decode($peso|escape:'html':'UTF-8')}">

                    <span>{l s='Transmitir Orden' mod='sendingbay'}&nbsp<i class="icon-send"></i></span>
                </a>
            {/if}
            {if $estado == 'no'}
                
            {/if}
    {/if}
    </span>
</span>


