/**
 * 2007-2022 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2022 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 */
var captureIdOrders = document.getElementsByClassName('btnTransmitir');
var arrayRemitentes;
var arrayServicios;
var chekarray = [];
var albarray = [];
var conta = 0;
    
    window.onload = () => {

    

function docReady(fn) {
    // see if DOM is already available
    if (document.readyState === "complete" || document.readyState === "interactive") {
        // call on next available tick
        setTimeout(fn, 1);
    } else {
        document.addEventListener("DOMContentLoaded", fn);
    }
}    

docReady(function() {

    let orderId;
	 let metodoPago;
	 let servicio;
	 let peso;
	 let idRemi;
     let nombreRemi;
     
/**========================================================================================
	    * Ejecutamos la función de actualizador de estados en automático
==========================================================================================*/

     actualizarEstados();
	
	function actualizarEstados(){

        var xhttp = new XMLHttpRequest();
        xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');                               
                                            
            
        var formData = new FormData();           
        formData.append("action", "updateState");                                                   
        xhttp.send( formData );           
        xhttp.addEventListener('load', () => {
            
            console.log('response', xhttp.response);            
                                                                                              
        });	    
	    
	}
	 
	// Actualizador de estados automatico al cargar la pagina
	setInterval(function(){
    
    //Se ejecuta cada 5 horas en caso de que no se haya recargado la pagina admin
     actualizarEstados();
     
   },16600000);
    
/**========================================================================================
	    * Ejecutamos el evento click en el boton de Transmitir Orden al Fact
==========================================================================================*/	 

	 
		 for (let captureIdOrder of captureIdOrders) {
			 captureIdOrder.addEventListener('click', function (event) {
				 event.preventDefault();
 
				 //createDraft(createDraftButton);
				 orderId = parseInt(captureIdOrder.getAttribute('data-order-id'));
				 metodoPago = captureIdOrder.getAttribute('metodo-pago');
				 let enlace  = captureIdOrder.getAttribute('url');
				 servicio = captureIdOrder.getAttribute('servicio');
				 peso = parseInt(captureIdOrder.getAttribute('peso'));
				 if(!servicio){servicio = "1";}
				 if(peso == "" || peso == 0 ){peso = 1;}

				 idRemi = captureIdOrder.getAttribute('remitente');
				//console.log(idRemi.length);
				 nombreRemi = captureIdOrder.getAttribute('nombre');
				 

				 var html;
 
				 
 
				 if(metodoPago == 'Pago contra reembolso' || metodoPago == 'Pago contra reembolso con comisión'){
 
					html = '<img src="'+baseDir+'modules/sendingbay/views/img/sb-black.png" style="margin: -10px 9px;border-radius: 49%;" width="62px" /><br><br><form action="" method="post" form-fact><table id="mdlTransmicion" style="padding:5px; margin: 0px; width:100%">'+
					'<tr><td colspan="2"><label for="sltRemitente" style="font-size: 1rem; color: #9e9e9e;" class="active">Remitente Predeterminado</label><br><select onclick="FactRemitentes();" data-sender1="" id="sltRemitente" style="width:100%;" value="'+idRemi+'" class="myform-control form-control validate sltRemi"><option value="'+idRemi+'" selected="">'+nombreRemi+'</option></select></td>'+
					'<tr><td><input chk-servicio="" type="checkbox"  id="chkServicio" class="chkServicio"><label for="servicio" style="font-size: 1rem; color: #9e9e9e;" class="active">&nbsp Servicio</label><br><input type="text"  name="servicio" class="servicio1" style="display:none" value="'+servicio+'"/><select onclick="FactServicios();" data-service="" id="servicio" style="width:100%;" value="'+servicio+'" class="myform-control form-control validate servicio"><option value="'+servicio+'" selected="">'+servicio+'</option></select></td>'+
					'<td><label for="bultos" style="font-size: 1rem; color: #9e9e9e;" class="active">Bultos</label><input type="text" id="bultos" value="1" class="myform-control form-control validate"></td></tr>'+
					'<tr><td><label for="peso" style="font-size: 1rem; color: #9e9e9e;" class="active">Peso</label><input type="text" id="peso" value="'+peso+'" class="myform-control form-control validate"></td>'+
					'<td><label for="alto" style="font-size: 1rem; color: #9e9e9e;" class="active">Alto</label><input type="text" id="alto" value="1" class="myform-control form-control validate"></td></tr>'+
					'<tr><td><label for="ancho" style="font-size: 1rem; color: #9e9e9e;" class="active">Ancho</label><input type="text" id="ancho" value="1" class="myform-control form-control validate"></td>'+
					'<td><label for="largo" style="font-size: 1rem; color: #9e9e9e;" class="active">Largo</label><input type="text" id="largo" value="1" class="myform-control form-control validate"></td></tr>'+
					'<tr><td colspan="2"><label style="font-size: small;"> <input type="checkbox" checked id="chkPortes" class="portesD">&nbsp Incluir costo del envío </td></tr>'+
					//'<tr><td colspan="2"><label style="font-size: small;">&nbsp&nbsp <input type="checkbox" id="chkDebido" class="debidoP">&nbsp Incluir Portes Debido &nbsp&nbsp </td></tr>'+					
					'</table></form>';
				}else{

					html = '<img src="'+baseDir+'modules/sendingbay/views/img/sb-black.png" style="margin: -10px 9px;border-radius: 49%;" width="62px" /><br><br><form action="" method="post" form-fact><table id="mdlTransmicion" style="padding:5px; margin: 0px; width:100%">'+
					'<tr><td colspan="2"><label for="sltRemitente" style="font-size: 1rem; color: #9e9e9e;" class="active">Remitente Predeterminado</label><br><select onclick="FactRemitentes();" data-sender1="" id="sltRemitente" style="width:100%;" value="'+idRemi+'" class="myform-control form-control validate sltRemi"><option value="'+idRemi+'" selected="">'+nombreRemi+'</option></select></td>'+
					'<tr><td><input chk-servicio="" type="checkbox"  id="chkServicio" class="chkServicio"><label for="servicio" style="font-size: 1rem; color: #9e9e9e;" class="active">&nbsp Servicio</label><br><input type="text"  name="servicio" class="servicio1" style="display:none" value="'+servicio+'"/><select onclick="FactServicios();" data-service="" id="servicio" style="width:100%;" value="'+servicio+'" class="myform-control form-control validate servicio"><option value="'+servicio+'" selected="">'+servicio+'</option></select></td>'+
					'<td><label for="bultos" style="font-size: 1rem; color: #9e9e9e;" class="active">Bultos</label><input type="text" id="bultos" value="1" class="myform-control form-control validate"></td></tr>'+
					'<tr><td><label for="peso" style="font-size: 1rem; color: #9e9e9e;" class="active">Peso</label><input type="text" id="peso" value="'+peso+'" class="myform-control form-control validate"></td>'+
					'<td><label for="alto" style="font-size: 1rem; color: #9e9e9e;" class="active">Alto</label><input type="text" id="alto" value="1" class="myform-control form-control validate"></td></tr>'+
					'<tr><td><label for="ancho" style="font-size: 1rem; color: #9e9e9e;" class="active">Ancho</label><input type="text" id="ancho" value="1" class="myform-control form-control validate"></td>'+
                    '<td><label for="largo" style="font-size: 1rem; color: #9e9e9e;" class="active">Largo</label><input type="text" id="largo" value="1" class="myform-control form-control validate"></td></tr>'+
                    '<tr style="display:none;"><td colspan="2"><label style="font-size: small;"> <input type="checkbox" disabled id="chkPortes" class="portesD">&nbsp Incluir costo del envío </td></tr>'+
					'</table></form>';
				}
 
                captureIdOrder.className += ' disabled';
				// $('.btn-transmitir i').addClass('fa fa-spinner fa-spin');
				//$('.imgSpinner').removeClass('hide');
 
				
 
				 if(orderId != ""){
 
					 Swal.fire({
						 title				: "Transmitir Pedido",
						 text				: 'Confirma los datos',
						 html				: html,
						 //icon                : "question",
						 showCancelButton    : true,
						 confirmButtonText   : "Generar Etiqueta",
						 closeOnConfirm      : true,
						 showLoaderOnConfirm : true,
						 preConfirm: () => {
							 return fetch('')
							   .then(response => {


                             let portes = false;
                             let debido = false;
							 let servicio = document.querySelector('#servicio').value;
							 let bultos = document.querySelector('#bultos').value;
							 let peso = document.querySelector('#peso').value;
							 let alto = document.querySelector('#alto').value; ;
							 let ancho = document.querySelector('#ancho').value;
                             let largo = document.querySelector('#largo').value;
                             let check = document.getElementById('chkPortes');
                             var checked = check.checked;

                             checked == true ? portes = "true" : portes = "false";
							

                                var xhttp = new XMLHttpRequest();
                                xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');                               
                                

                                var formData = new FormData();

                                formData.append("action", "sendAction");
                                formData.append("servicio", servicio);
                                formData.append("idsender", idRemi);
                                formData.append("order", orderId);
                                formData.append("portes", portes);
                                formData.append("debido", debido);
                                formData.append("metodo", metodoPago);
                                formData.append("bultos", bultos);
                                formData.append("pes", peso);
                                formData.append("alt", alto);
                                formData.append("anch", ancho);
                                formData.append("larg", largo);
                                


                                var res = xhttp.send( formData );

                                xhttp.addEventListener('load', () => {

                                   // console.log('response', xhttp.response);

                                    var data = JSON.parse(xhttp.response);

                                    //console.log('response', typeof data);

                                    

                                    if(data.infoWs == 'OK'){
 
                                        console.log('parametros', data.param);
                                        console.log('delivery', data.delivery_details);
                                        console.log('order', data.order_details);
                                    

                                         Swal.fire({
                                             title   : 'Transmisión al Fact',
                                             text    : 'La Orden: ' + data.idOrden + ' ha sido grabada correctamente en FACT con el numero de Albaran: '+ data.albaran +'',
                                             icon    : 'success',
                                             timer   : 5000
                                         });
                                         

                                     setTimeout(function(){
             
                                         window.location.reload(); 
                                         
                                     },2000);

                                     }else{
        
                                        captureIdOrder.classList.remove("disabled");
 

                                         Swal.fire({
                                             icon: 'error',
                                             title: 'Oops...',
                                             text: data.infoWs
                                           });
                                           


                                     }

                                    

                                });
								 
							   })
							   
						   },
						   allowOutsideClick: () => !Swal.isLoading()
					 }).then((result) =>{
			 
						 if( result.isConfirmed ) {
 
							 //$('#codigo').addClass('invalid')
							 
			 
						 } else {
			 
                             captureIdOrder.classList.remove("disabled");
			 
						 }
						    arrayServicios = null;
						    arrayRemitentes = null;
			 
					 }); 
 
					 
				 
			 }
 
			 });
			 
         }


/**===============================================================================================
	        * Ejecutamos el evento click en el boton de Imprimir Etiqueta
=================================================================================================*/	
      
         let captureIdAlbaranes = document.getElementsByClassName('btnImprimirPdf');
         for (let captureIdAlba of captureIdAlbaranes) {
            captureIdAlba.addEventListener('click', function (event) {
                event.preventDefault();

                let albaran = captureIdAlba.getAttribute('albaran');
                console.log('albaran', albaran);
    
                captureIdAlba.className += ' disabled';

                if(albaran){
                                  
                    
                        var xhttp = new XMLHttpRequest();
                        xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');                               
                                            
            
                        var formData = new FormData();
            
                            formData.append("action", "printLabel");
                            formData.append("albaran", albaran);
                            formData.append("tipo", "view");
                                        
            
                        var res = xhttp.send( formData );
            
                            xhttp.addEventListener('load', () => {
            
                                // console.log('response', xhttp.response);
            
                                var data = JSON.parse(xhttp.response);
            
                                    // si la respuesta de la accion en db es verdadera
                                    if( data.etiqueta){
                                        
                                        window.open(data.etiqueta);
                
                                    }
                                    else{
                                        Swal.fire({
                                            title   : 'Etiqueta',
                                            text    : 'Info: ' + data.mensaje + '',
                                            type    : 'error',
                                            timer   : 3500
                                        });
                
                                    }
                                                
            
                            });
                            			
                        
                }
                                                            
                setTimeout(function(){
                    
                    captureIdAlba.classList.remove("disabled");
                    
                },3000); 
            
            });
        }
         
    

/**===========================================================================================================
        * Ejecutamos el evento click en cada checkbox  para mostrar el boton de transmision masiva
=============================================================================================================*/



let captureChecks = document.getElementsByClassName('noborder');
    for (let captureCheck of captureChecks) {
        captureCheck.addEventListener('click', function (event) {
                //event.preventDefault();

            let order = captureCheck.getAttribute('value');
            let chekado = captureCheck.checked;
                if(chekado){

                    chekarray.push(order);

                }else{

                    let indice = chekarray.indexOf(order);
                    if (indice !== -1) {
                        chekarray.splice(indice, 1);
                    }
                }
                    
                console.log('ArrayCheck', chekarray);

                var boton = document.querySelector("#tranMasive");
                const target = document.querySelector('#bulk_action_menu_order');
                

                if(chekarray.length == 1){

                    //if(boton == null)
                    //    target.insertAdjacentHTML('afterend', '<a id="tranMasive" class="tranMasive btn btn-primary  pointer" style="margin-left: 10px;" onclick="FactMasive();"  ><i class="icon-send"></i>&nbsp;Generar Etiquetas</a>');

                }else if(chekarray.length < 1){
                    
                    if(boton != null)
                        boton.remove();
                }

        });
        
    }

    //Versiones con grid actual
    let captureChecks1 = document.getElementsByClassName('js-bulk-action-checkbox');
    for (let captureCheck1 of captureChecks1) {
        captureCheck1.addEventListener('click', function (event) {
                //event.preventDefault();

            let order = captureCheck1.getAttribute('value');
            let chekado = captureCheck1.checked;
                if(chekado){

                    chekarray.push(order);

                }else{

                    let indice = chekarray.indexOf(order);
                    if (indice !== -1) {
                        chekarray.splice(indice, 1);
                    }
                }
                    
                console.log('ArrayCheck', chekarray);

                var boton = document.querySelector("#tranMasive");
                const target = document.querySelector('#page-header-desc-configuration-add');
                

                if(chekarray.length == 1){

                    //if(boton == null)
                    //    target.insertAdjacentHTML('beforebegin', '<a id="tranMasive" class="tranMasive btn btn-primary  pointer" style="margin-left: 10px; color: white;" onclick="FactMasive();"  ><i class="icon-send"></i>&nbsp;Generar Etiquetas</a>');

                }else if(chekarray.length < 1){
                    
                    if(boton != null)
                        boton.remove();
                }

        });
        
    }

/**====================================================================================================================
    * Ejecutamos el evento click en el checkbox de seleccionar todos para agregar el enlace de transmision masiva
=======================================================================================================================*/
let captureChecks3 = document.getElementsByClassName('noborder');
let captureChecksAll = document.getElementsByClassName('dropdown-menu');
    for (let captureAll of captureChecksAll) {
        captureAll.addEventListener('click', function (event) {
                //event.preventDefault();

                //console.log('checkboxes', captureChecks);
                for (let captureIdOrder2 of captureIdOrders) {
                    //event.preventDefault();           
   
                    let order = parseInt(captureIdOrder2.getAttribute('data-order-id'));

                    for (var x=0; x < captureChecks3.length; x++) {
                        if (captureChecks3[x].checked) {
                            if(order == captureChecks3[x].value){
                                chekarray.push(captureChecks3[x].value);
                            }
                        }else{
                            let indice = chekarray.indexOf(captureChecks3[x].value);
                            if (indice !== -1) {
                                chekarray.splice(indice, 1);
                            }
                        }
                    }
                }
                    
                console.log('ArrayCheck', chekarray);

                var boton = document.querySelector("#tranMasive");
                const target = document.querySelector('#bulk_action_menu_order');
                

                if(chekarray.length > 1){

                    //if(boton == null)
                    //    target.insertAdjacentHTML('afterend', '<a id="tranMasive" class="tranMasive btn btn-primary  pointer" style="margin-left: 10px;" onclick="FactMasive();"  ><i class="icon-send"></i>&nbsp;Generar Etiquetas</a>');

                }else if(chekarray.length < 1){
                   
                    if(boton != null)
                        boton.remove();
                }

        });
    }

    //Versiones con grid actual
    let captureChecks2 = document.getElementsByClassName('js-bulk-action-checkbox');
    let captureChecksAll1 = document.getElementsByClassName('js-bulk-action-select-all');
    for (let captureAll1 of captureChecksAll1) {
        captureAll1.addEventListener('click', function (event) {
                //event.preventDefault();

                setTimeout(function(){

                //console.log('checkboxes', captureChecks);
                for (let captureIdOrder3 of captureIdOrders) {
                            //event.preventDefault();           
           
                        let order = parseInt(captureIdOrder3.getAttribute('data-order-id'));

                        for (var x=0; x < captureChecks2.length; x++) {
                            if (captureChecks2[x].checked) {
                                if(order == captureChecks2[x].value){
                                    chekarray.push(captureChecks2[x].value);
                                }
                                
                            }else{
                                let indice = chekarray.indexOf(captureChecks2[x].value);
                                if (indice !== -1) {
                                    chekarray.splice(indice, 1);
                                }
                            }
                           }
                           
                    
                }

            
            
                    
                console.log('ArrayCheck', chekarray);

                var boton = document.querySelector("#tranMasive");
                const target = document.querySelector('#page-header-desc-configuration-add');
                

                if(chekarray.length > 1){

                    //if(boton == null)
                    //    target.insertAdjacentHTML('beforebegin', '<a id="tranMasive" class="tranMasive btn btn-primary  pointer" style="margin-left: 10px; color: white;" onclick="FactMasive();"  ><i class="icon-send"></i>&nbsp;Generar Etiquetas</a>');

                }else if(chekarray.length < 1){
                   
                    if(boton != null)
                        boton.remove();
                }

            },2000);

        });
    }





});

}



 /*===================================================================================
	 		Devuelve un listado de remitentes y los agrega a la caja de selección.
 ===================================================================================*/

     function FactRemitentes(){
     
     captureRemi = document.getElementById('sltRemitente');
  

     if(captureRemi){

        //console.log(captureRemi);

		if(arrayRemitentes == null){



            captureRemi.innerHTML = "";
            captureRemi.innerHTML = '<option value="">Cargando...</option>';
        
            var xhttp = new XMLHttpRequest();
            xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');                               
                                

            var formData = new FormData();

                formData.append("action", "factSenders");
                formData.append("tipo", "view");
                            

            var res = xhttp.send( formData );

                xhttp.addEventListener('load', () => {

                    // console.log('response', xhttp.response);

                    var data = JSON.parse(xhttp.response);

                        // si la respuesta de la accion en db es verdadera
					if( data.remitentes ){

                        captureRemi.innerHTML = "";

                        arrayRemitentes = data.remitentes;
                        //console.log(arrayRemitentes);
                        
                        arrayRemitentes.forEach(carga);
                           
                        
                            function carga(item, index) {
                                
                                //console.log(item);
                                
                                let json = JSON.stringify(item);

							    let data1 = json.replace(/ /g, "-");

                                captureRemi.innerHTML += '<option value='+data1+'>'+item.nombre+'</option>';

                            }

						//arrayRemitentes = null;


					}
					else{


					}
                                    

                });
        		
		}				
		    
    }
}

/**============================================================================================
	  * Ejecutamos el evento click en el select para traer servicios autorizados del cliente
 ==============================================================================================*/
	
     function FactServicios(){
     
        captureServi = document.getElementById('servicio');
     
   
        if(captureServi){

		if(arrayServicios == null){

            captureServi.innerHTML = "";
            captureServi.innerHTML = '<option value="">Cargando...</option>';	

        
            var xhttp = new XMLHttpRequest();
            xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');                               
                                

            var formData = new FormData();

                formData.append("action", "factService");
                formData.append("tipo", "view");
                            

            var res = xhttp.send( formData );

                xhttp.addEventListener('load', () => {

                    // console.log('response', xhttp.response);

                    var data = JSON.parse(xhttp.response);


                        // si la respuesta de la accion en db es verdadera
					if( data.servicios ){

                        captureServi.innerHTML = "";

                        let servicios = data.servicios;
                        
                        console.log(arrayServicios);

                        arrayServicios = servicios.split(" ");
                        
                        arrayServicios.forEach(carga);
                           
                        
                            function carga(item, index) {
                                
                                let json = JSON.stringify(item);

                                captureServi.innerHTML += '<option value='+item+'>'+item+'</option>';

                            }

						//arrayServicios = null;


					}
					else{


					}
                                    

                });
        
        

		}				
		
    }
}

/**========================================================================================
	    * Ejecutamos el evento click en el boton de Transmision Masiva
==========================================================================================*/

function FactMasive() {

    captureMasive = document.getElementById('tranMasive');

	
    orderId = chekarray;
    
    //console.log(orderId);

	metodoPago = '';
	let servicio = '';
	let idRemi = '';
	let albaDesde;
	let albaHasta;
    var tiempo = chekarray.length.toString() + '000';
    var tiempo1= chekarray.length.toString() + '000';

    captureMasive.className += ' disabled';
    captureMasive.innerHTML = '<img src="'+baseDir+'modules/sendingbay/views/img/loader2.gif" width="20px">&nbspProcesando...';
    
    
    
	   
	   
	
	//console.log(url_ajax);
	var html;
	
	html = '<img src="'+baseDir+'modules/sendingbay/views/img/sb-black.png" style="margin: -10px 9px;border-radius: 49%;" width="62px" /><br><br><form action="" method="post" form-fact><table id="mdlTransmicion"  style="padding:5px; margin: 0px; width:100%">'+
					'<tr><td colspan=""><label for="sltRemitente" style="font-size: 1rem; color: #9e9e9e;" class="active">Remitente</label><br><select data-sender1="" id="sltRemitente" style="width:100%;" value="'+idRemi+'" class="myform-control form-control validate sltRemi"><option value="'+idRemi+'" selected="">Predeterminado</option></select></td>'+
					'<td colspan=""><label for="servicio" style="font-size: 1rem; color: #9e9e9e;" class="active">Servicio</label><br><select data-service="" id="servicio" style="width:100%;" value="'+servicio+'" class="myform-control form-control validate servicio"><option value="'+servicio+'" selected="">Predeterminado</option></select></td></tr>'+
					'<tr><td><label for="bultos" style="font-size: 1rem; color: #9e9e9e;" class="active">Bultos</label><input type="text" id="bultos" value="1" class="myform-control form-control validate"></td>'+
					'<td><label for="alto" style="font-size: 1rem; color: #9e9e9e;" class="active">Alto</label><input type="text" id="alto" value="1" class="myform-control form-control validate"></td></tr>'+
					'<tr><td><label for="ancho" style="font-size: 1rem; color: #9e9e9e;" class="active">Ancho</label><input type="text" id="ancho" value="1" class="myform-control form-control validate"></td>'+
					'<td><label for="largo" style="font-size: 1rem; color: #9e9e9e;" class="active">Largo</label><input type="text" id="largo" value="1" class="myform-control form-control validate"></td></tr>'+	
					'<tr><td colspan="2"><label style="font-size: small;"> <input type="checkbox" checked id="chkPortes" class="portesD">&nbsp Incluir costo del envío </td></tr>'+
					//'<tr><td colspan="2"><label style="font-size: small;">&nbsp&nbsp <input type="checkbox" id="chkDebido" class="debidoP">&nbsp Incluir Portes Debido &nbsp&nbsp </td></tr>'+					
					'</table></form>';
	
					

					Swal.fire({
						title				: "Transmitir los ("+ chekarray.length +") Pedidos seleccionados",
						text				: 'Confirma los datos',
						html				: html,
						//icon                : "question",
						showCancelButton    : true,
						confirmButtonText   : "Trasmitir",
						closeOnConfirm      : true,
						showLoaderOnConfirm : true,
						preConfirm: () => {
							return fetch('')
							  .then(response => {

							

                                let portes = false;
                                let debido = false;
                                let servicio = document.querySelector('#servicio').value;
                                let bultos = document.querySelector('#bultos').value;
                                let alto = document.querySelector('#alto').value; ;
                                let ancho = document.querySelector('#ancho').value;
                                let largo = document.querySelector('#largo').value;
                                let check = document.getElementById('chkPortes');
                                var checked = check.checked;
   
                                checked == true ? portes = "true" : portes = "false";

                                let array_check =  JSON.stringify(chekarray);
                                

                                chekarray.forEach(carga);

                                function carga(item, index) {

                                    

                                    var formData = new FormData();

                                    formData.append("action", "sendAction");
                                    formData.append("servicio", servicio);
                                    formData.append("idsender", idRemi);
                                    formData.append("order", item);
                                    formData.append("portes", portes);
                                    formData.append("debido", debido);
                                    formData.append("metodo", metodoPago);
                                    formData.append("bultos", bultos);
                                    formData.append("pes", null);
                                    formData.append("alt", alto);
                                    formData.append("anch", ancho);
                                    formData.append("larg", largo);
                                    formData.append("ids", array_check);



                                    var xhttp = new XMLHttpRequest();

                                    xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');
                                
                                    xhttp.send( formData );

                                     xhttp.addEventListener('load', () => {

                                    var data = JSON.parse(xhttp.response);

                                    if(data.infoWs == 'OK'){
 
                                        albarray.push(data.albaran);
                                        conta ++;
                                        console.log('chekarray.length', chekarray.length);
										console.log('conta', conta);
                                        

                                     }else{

                                        captureMasive.classList.remove("disabled");

                                        //chekarray.push(item);
                                         
                                    }

                                   

                                    if (chekarray.length == conta) {

                                            if(albarray.length == 1){
                                                albaDesde = albarray[0];
                                                albaHasta = albarray[0];
                                            }else{
                                                albaDesde = albarray[0];
                                                albaHasta = albarray.pop();
                                            }

                                            console.log("albaDesde", albaDesde);
                                            console.log("albaHasta", albaHasta);


                                            setTimeout(() => {

                                                Swal.fire({
                                                    title: 'Etiquetas Generadas',
                                                    text: 'Transmisión masiva ejecutada correctamente',
                                                    icon: 'success',
                                                    timer: 5000
                                                });

                                                if(albaDesde != "" && albaHasta != ""){

                                                     var formData1 = new FormData();
                                                         formData1.append("action", "printMasive");
                                                         formData1.append("albaDesde", albaDesde);
                                                         formData1.append("albaHasta", albaHasta);
                                                         formData1.append("tipo", 'view');
                      
                                                         xhttp.open('POST', baseDir +'modules/sendingbay/ajax.php');
                                                         var res = xhttp.send( formData1 );
                                                          xhttp.addEventListener('load', () => {
                                                        // console.log('response', xhttp.response);
                                                         var data = JSON.parse(xhttp.response);
                                                         if( data.etiqueta){
                                                                 
                                                             window.open(data.etiqueta);  
                                                             
                                                             setTimeout(function(){
                     
                                                                window.location.reload(); 
                                    
                                                            },1000)
                                     
                                                         }
                                                         else{

                                                            setTimeout(function(){
                     
                                                                window.location.reload(); 
                                    
                                                            },5000);
                                     
                                                           /*  Swal.fire({
                                                                 title   : 'Etiqueta',
                                                                 text    : 'Info: ' + data.error + '',
                                                                 type    : 'error',
                                                                 timer   : 5500
                                                             });*/
                                     
                                                         }
                                                         
                                                     
                                                         }); 
                     
                     
                                                 }
                     
                                                 setTimeout(function(){
                     
                                                     window.location.reload(); 
                         
                                                 },15000);
                
            
                                               
                                            }, 1000);                                 
                                    }
                                                                       
                                });
                                
                           
    
                                }

															
							  })
							  
						  },
						  allowOutsideClick: () => !Swal.isLoading()
					    }).then((result) =>{
			
						if( result.isConfirmed ) {

							//$('#codigo').addClass('invalid')


								tiempo1 = tiempo * 3;


                            
							

							var html2 ='<center><div class=""><img src="'+baseDir+'modules/sendingbay/views/img/preload.gif"></div></center>';

							setTimeout(function(){

								Swal.fire({
									title    : 'Procesando...',
									html	: html2,
									icon    : 'info',
									timer   : tiempo1
								});
	
							},2000);

                            setTimeout(function(){


                               /* Swal.fire({
                                    title: 'Etiquetas Generadas',
                                    text: 'Transmisión masiva ejecutada correctamente',
                                    icon: 'success',
                                    timer: 5000
                                }); */


                                window.location.reload();


                                
                                

                            },tiempo1); 



							
			
						} else {
			 
							captureMasive.classList.remove("disabled");
                            captureMasive.innerHTML = '<i class="icon-send"></i> Generar Etiquetas';
			
						} 

						arrayServicios = null;
						arrayRemitentes = null;
			
					});
					
				
		
}



